/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-03-26
 * 描述            ：可逆轧机停开机记录
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Rolling.Performance.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Rolling.Performance.mapper.MesRcmStopMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="MES_RCM_STOP", namespace=MesRcmStopMapper.class)
public class MesRcmStop extends BaseVO implements Serializable {
	/** 
	 * 机台号
	 */ 
	@Column
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 停机标识（1：停机、0：开机）
	 */ 
	@Column
	private String stop_flag;
	public String getStop_flag() {
		return this.stop_flag;
	}
	public void setStop_flag(String stop_flag) {
		this.stop_flag = stop_flag;
	}

	/** 
	 * 停机时刻
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date stop_time;
	public Date getStop_time() {
		return this.stop_time;
	}
	public void setStop_time(Date stop_time) {
		this.stop_time = stop_time;
	}

	/** 
	 * 停机原因（0：待用、1：故障、2：其他）
	 */ 
	@Column
	private String stop_reason;
	public String getStop_reason() {
		return this.stop_reason;
	}
	public void setStop_reason(String stop_reason) {
		this.stop_reason = stop_reason;
	}

	/** 
	 * 操作人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 操作时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
